Patch Client Profile Endpoint
curl --request PATCH \
--url https://api.example.com/v1/provisioning/client-profiles/{client_id} \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"compliance_flags": {},
"data_residency": "<string>",
"display_name": "<string>",
"industry": "<string>",
"issue_id_convention": "<string>",
"notes": "<string>",
"primary_format": "<string>"
}
'import requests
url = "https://api.example.com/v1/provisioning/client-profiles/{client_id}"
payload = {
"compliance_flags": {},
"data_residency": "<string>",
"display_name": "<string>",
"industry": "<string>",
"issue_id_convention": "<string>",
"notes": "<string>",
"primary_format": "<string>"
}
headers = {
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}
response = requests.patch(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'PATCH',
headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
body: JSON.stringify({
compliance_flags: {},
data_residency: '<string>',
display_name: '<string>',
industry: '<string>',
issue_id_convention: '<string>',
notes: '<string>',
primary_format: '<string>'
})
};
fetch('https://api.example.com/v1/provisioning/client-profiles/{client_id}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"detail": [
{
"loc": [
"<string>"
],
"msg": "<string>",
"type": "<string>",
"ctx": {},
"input": "<unknown>"
}
]
}provisioning-portal
Patch Client Profile Endpoint
B3 — only while status in (draft, data_validated); 409 otherwise.
PATCH
/
v1
/
provisioning
/
client-profiles
/
{client_id}
Patch Client Profile Endpoint
Authorizations
Bearer authentication header of the form Bearer <token>, where <token> is your auth token.
Path Parameters
Body
application/json
Response
Successful Response
⌘I